Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network148.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
148.0.0.0
Broadcast address
148.63.255.255
First usable
148.0.0.1
Last usable
148.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
B (default /16)
As numbers
Hex 94000000 · Integer 2483027968 to 2487222271
Reverse DNS zones
0.148.in-addr.arpa
1.148.in-addr.arpa
2.148.in-addr.arpa
3.148.in-addr.arpa
4.148.in-addr.arpa
5.148.in-addr.arpa
6.148.in-addr.arpa
7.148.in-addr.arpa
8.148.in-addr.arpa
9.148.in-addr.arpa
10.148.in-addr.arpa
11.148.in-addr.arpa
12.148.in-addr.arpa
13.148.in-addr.arpa
14.148.in-addr.arpa
15.148.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010100.00000000.00000000.00000000148.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network10010100.00000000.00000000.00000000148.0.0.0
Broadcast10010100.00111111.11111111.11111111148.63.255.255
Split into smaller subnets/20

148.0.0.0/10 makes 1,024 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1148.0.0.0/20148.0.0.1 to 148.0.15.254148.0.15.2554,094
2148.0.16.0/20148.0.16.1 to 148.0.31.254148.0.31.2554,094
3148.0.32.0/20148.0.32.1 to 148.0.47.254148.0.47.2554,094
4148.0.48.0/20148.0.48.1 to 148.0.63.254148.0.63.2554,094
5148.0.64.0/20148.0.64.1 to 148.0.79.254148.0.79.2554,094
6148.0.80.0/20148.0.80.1 to 148.0.95.254148.0.95.2554,094
7148.0.96.0/20148.0.96.1 to 148.0.111.254148.0.111.2554,094
8148.0.112.0/20148.0.112.1 to 148.0.127.254148.0.127.2554,094
9148.0.128.0/20148.0.128.1 to 148.0.143.254148.0.143.2554,094
10148.0.144.0/20148.0.144.1 to 148.0.159.254148.0.159.2554,094
11148.0.160.0/20148.0.160.1 to 148.0.175.254148.0.175.2554,094
12148.0.176.0/20148.0.176.1 to 148.0.191.254148.0.191.2554,094
13148.0.192.0/20148.0.192.1 to 148.0.207.254148.0.207.2554,094
14148.0.208.0/20148.0.208.1 to 148.0.223.254148.0.223.2554,094
15148.0.224.0/20148.0.224.1 to 148.0.239.254148.0.239.2554,094
16148.0.240.0/20148.0.240.1 to 148.0.255.254148.0.255.2554,094
17148.1.0.0/20148.1.0.1 to 148.1.15.254148.1.15.2554,094
18148.1.16.0/20148.1.16.1 to 148.1.31.254148.1.31.2554,094
19148.1.32.0/20148.1.32.1 to 148.1.47.254148.1.47.2554,094
20148.1.48.0/20148.1.48.1 to 148.1.63.254148.1.63.2554,094
21148.1.64.0/20148.1.64.1 to 148.1.79.254148.1.79.2554,094
22148.1.80.0/20148.1.80.1 to 148.1.95.254148.1.95.2554,094
23148.1.96.0/20148.1.96.1 to 148.1.111.254148.1.111.2554,094
24148.1.112.0/20148.1.112.1 to 148.1.127.254148.1.127.2554,094
25148.1.128.0/20148.1.128.1 to 148.1.143.254148.1.143.2554,094
26148.1.144.0/20148.1.144.1 to 148.1.159.254148.1.159.2554,094
27148.1.160.0/20148.1.160.1 to 148.1.175.254148.1.175.2554,094
28148.1.176.0/20148.1.176.1 to 148.1.191.254148.1.191.2554,094
29148.1.192.0/20148.1.192.1 to 148.1.207.254148.1.207.2554,094
30148.1.208.0/20148.1.208.1 to 148.1.223.254148.1.223.2554,094
31148.1.224.0/20148.1.224.1 to 148.1.239.254148.1.239.2554,094
32148.1.240.0/20148.1.240.1 to 148.1.255.254148.1.255.2554,094
33148.2.0.0/20148.2.0.1 to 148.2.15.254148.2.15.2554,094
34148.2.16.0/20148.2.16.1 to 148.2.31.254148.2.31.2554,094
35148.2.32.0/20148.2.32.1 to 148.2.47.254148.2.47.2554,094
36148.2.48.0/20148.2.48.1 to 148.2.63.254148.2.63.2554,094
37148.2.64.0/20148.2.64.1 to 148.2.79.254148.2.79.2554,094
38148.2.80.0/20148.2.80.1 to 148.2.95.254148.2.95.2554,094
39148.2.96.0/20148.2.96.1 to 148.2.111.254148.2.111.2554,094
40148.2.112.0/20148.2.112.1 to 148.2.127.254148.2.127.2554,094
41148.2.128.0/20148.2.128.1 to 148.2.143.254148.2.143.2554,094
42148.2.144.0/20148.2.144.1 to 148.2.159.254148.2.159.2554,094
43148.2.160.0/20148.2.160.1 to 148.2.175.254148.2.175.2554,094
44148.2.176.0/20148.2.176.1 to 148.2.191.254148.2.191.2554,094
45148.2.192.0/20148.2.192.1 to 148.2.207.254148.2.207.2554,094
46148.2.208.0/20148.2.208.1 to 148.2.223.254148.2.223.2554,094
47148.2.224.0/20148.2.224.1 to 148.2.239.254148.2.239.2554,094
48148.2.240.0/20148.2.240.1 to 148.2.255.254148.2.255.2554,094
49148.3.0.0/20148.3.0.1 to 148.3.15.254148.3.15.2554,094
50148.3.16.0/20148.3.16.1 to 148.3.31.254148.3.31.2554,094
51148.3.32.0/20148.3.32.1 to 148.3.47.254148.3.47.2554,094
52148.3.48.0/20148.3.48.1 to 148.3.63.254148.3.63.2554,094
53148.3.64.0/20148.3.64.1 to 148.3.79.254148.3.79.2554,094
54148.3.80.0/20148.3.80.1 to 148.3.95.254148.3.95.2554,094
55148.3.96.0/20148.3.96.1 to 148.3.111.254148.3.111.2554,094
56148.3.112.0/20148.3.112.1 to 148.3.127.254148.3.127.2554,094
57148.3.128.0/20148.3.128.1 to 148.3.143.254148.3.143.2554,094
58148.3.144.0/20148.3.144.1 to 148.3.159.254148.3.159.2554,094
59148.3.160.0/20148.3.160.1 to 148.3.175.254148.3.175.2554,094
60148.3.176.0/20148.3.176.1 to 148.3.191.254148.3.191.2554,094
61148.3.192.0/20148.3.192.1 to 148.3.207.254148.3.207.2554,094
62148.3.208.0/20148.3.208.1 to 148.3.223.254148.3.223.2554,094
63148.3.224.0/20148.3.224.1 to 148.3.239.254148.3.239.2554,094
64148.3.240.0/20148.3.240.1 to 148.3.255.254148.3.255.2554,094
65148.4.0.0/20148.4.0.1 to 148.4.15.254148.4.15.2554,094
66148.4.16.0/20148.4.16.1 to 148.4.31.254148.4.31.2554,094
67148.4.32.0/20148.4.32.1 to 148.4.47.254148.4.47.2554,094
68148.4.48.0/20148.4.48.1 to 148.4.63.254148.4.63.2554,094
69148.4.64.0/20148.4.64.1 to 148.4.79.254148.4.79.2554,094
70148.4.80.0/20148.4.80.1 to 148.4.95.254148.4.95.2554,094
71148.4.96.0/20148.4.96.1 to 148.4.111.254148.4.111.2554,094
72148.4.112.0/20148.4.112.1 to 148.4.127.254148.4.127.2554,094
73148.4.128.0/20148.4.128.1 to 148.4.143.254148.4.143.2554,094
74148.4.144.0/20148.4.144.1 to 148.4.159.254148.4.159.2554,094
75148.4.160.0/20148.4.160.1 to 148.4.175.254148.4.175.2554,094
76148.4.176.0/20148.4.176.1 to 148.4.191.254148.4.191.2554,094
77148.4.192.0/20148.4.192.1 to 148.4.207.254148.4.207.2554,094
78148.4.208.0/20148.4.208.1 to 148.4.223.254148.4.223.2554,094
79148.4.224.0/20148.4.224.1 to 148.4.239.254148.4.239.2554,094
80148.4.240.0/20148.4.240.1 to 148.4.255.254148.4.255.2554,094
81148.5.0.0/20148.5.0.1 to 148.5.15.254148.5.15.2554,094
82148.5.16.0/20148.5.16.1 to 148.5.31.254148.5.31.2554,094
83148.5.32.0/20148.5.32.1 to 148.5.47.254148.5.47.2554,094
84148.5.48.0/20148.5.48.1 to 148.5.63.254148.5.63.2554,094
85148.5.64.0/20148.5.64.1 to 148.5.79.254148.5.79.2554,094
86148.5.80.0/20148.5.80.1 to 148.5.95.254148.5.95.2554,094
87148.5.96.0/20148.5.96.1 to 148.5.111.254148.5.111.2554,094
88148.5.112.0/20148.5.112.1 to 148.5.127.254148.5.127.2554,094
89148.5.128.0/20148.5.128.1 to 148.5.143.254148.5.143.2554,094
90148.5.144.0/20148.5.144.1 to 148.5.159.254148.5.159.2554,094
91148.5.160.0/20148.5.160.1 to 148.5.175.254148.5.175.2554,094
92148.5.176.0/20148.5.176.1 to 148.5.191.254148.5.191.2554,094
93148.5.192.0/20148.5.192.1 to 148.5.207.254148.5.207.2554,094
94148.5.208.0/20148.5.208.1 to 148.5.223.254148.5.223.2554,094
95148.5.224.0/20148.5.224.1 to 148.5.239.254148.5.239.2554,094
96148.5.240.0/20148.5.240.1 to 148.5.255.254148.5.255.2554,094
97148.6.0.0/20148.6.0.1 to 148.6.15.254148.6.15.2554,094
98148.6.16.0/20148.6.16.1 to 148.6.31.254148.6.31.2554,094
99148.6.32.0/20148.6.32.1 to 148.6.47.254148.6.47.2554,094
100148.6.48.0/20148.6.48.1 to 148.6.63.254148.6.63.2554,094
101148.6.64.0/20148.6.64.1 to 148.6.79.254148.6.79.2554,094
102148.6.80.0/20148.6.80.1 to 148.6.95.254148.6.95.2554,094
103148.6.96.0/20148.6.96.1 to 148.6.111.254148.6.111.2554,094
104148.6.112.0/20148.6.112.1 to 148.6.127.254148.6.127.2554,094
105148.6.128.0/20148.6.128.1 to 148.6.143.254148.6.143.2554,094
106148.6.144.0/20148.6.144.1 to 148.6.159.254148.6.159.2554,094
107148.6.160.0/20148.6.160.1 to 148.6.175.254148.6.175.2554,094
108148.6.176.0/20148.6.176.1 to 148.6.191.254148.6.191.2554,094
109148.6.192.0/20148.6.192.1 to 148.6.207.254148.6.207.2554,094
110148.6.208.0/20148.6.208.1 to 148.6.223.254148.6.223.2554,094
111148.6.224.0/20148.6.224.1 to 148.6.239.254148.6.239.2554,094
112148.6.240.0/20148.6.240.1 to 148.6.255.254148.6.255.2554,094
113148.7.0.0/20148.7.0.1 to 148.7.15.254148.7.15.2554,094
114148.7.16.0/20148.7.16.1 to 148.7.31.254148.7.31.2554,094
115148.7.32.0/20148.7.32.1 to 148.7.47.254148.7.47.2554,094
116148.7.48.0/20148.7.48.1 to 148.7.63.254148.7.63.2554,094
117148.7.64.0/20148.7.64.1 to 148.7.79.254148.7.79.2554,094
118148.7.80.0/20148.7.80.1 to 148.7.95.254148.7.95.2554,094
119148.7.96.0/20148.7.96.1 to 148.7.111.254148.7.111.2554,094
120148.7.112.0/20148.7.112.1 to 148.7.127.254148.7.127.2554,094
121148.7.128.0/20148.7.128.1 to 148.7.143.254148.7.143.2554,094
122148.7.144.0/20148.7.144.1 to 148.7.159.254148.7.159.2554,094
123148.7.160.0/20148.7.160.1 to 148.7.175.254148.7.175.2554,094
124148.7.176.0/20148.7.176.1 to 148.7.191.254148.7.191.2554,094
125148.7.192.0/20148.7.192.1 to 148.7.207.254148.7.207.2554,094
126148.7.208.0/20148.7.208.1 to 148.7.223.254148.7.223.2554,094
127148.7.224.0/20148.7.224.1 to 148.7.239.254148.7.239.2554,094
128148.7.240.0/20148.7.240.1 to 148.7.255.254148.7.255.2554,094
129148.8.0.0/20148.8.0.1 to 148.8.15.254148.8.15.2554,094
130148.8.16.0/20148.8.16.1 to 148.8.31.254148.8.31.2554,094
131148.8.32.0/20148.8.32.1 to 148.8.47.254148.8.47.2554,094
132148.8.48.0/20148.8.48.1 to 148.8.63.254148.8.63.2554,094
133148.8.64.0/20148.8.64.1 to 148.8.79.254148.8.79.2554,094
134148.8.80.0/20148.8.80.1 to 148.8.95.254148.8.95.2554,094
135148.8.96.0/20148.8.96.1 to 148.8.111.254148.8.111.2554,094
136148.8.112.0/20148.8.112.1 to 148.8.127.254148.8.127.2554,094
137148.8.128.0/20148.8.128.1 to 148.8.143.254148.8.143.2554,094
138148.8.144.0/20148.8.144.1 to 148.8.159.254148.8.159.2554,094
139148.8.160.0/20148.8.160.1 to 148.8.175.254148.8.175.2554,094
140148.8.176.0/20148.8.176.1 to 148.8.191.254148.8.191.2554,094
141148.8.192.0/20148.8.192.1 to 148.8.207.254148.8.207.2554,094
142148.8.208.0/20148.8.208.1 to 148.8.223.254148.8.223.2554,094
143148.8.224.0/20148.8.224.1 to 148.8.239.254148.8.239.2554,094
144148.8.240.0/20148.8.240.1 to 148.8.255.254148.8.255.2554,094
145148.9.0.0/20148.9.0.1 to 148.9.15.254148.9.15.2554,094
146148.9.16.0/20148.9.16.1 to 148.9.31.254148.9.31.2554,094
147148.9.32.0/20148.9.32.1 to 148.9.47.254148.9.47.2554,094
148148.9.48.0/20148.9.48.1 to 148.9.63.254148.9.63.2554,094
149148.9.64.0/20148.9.64.1 to 148.9.79.254148.9.79.2554,094
150148.9.80.0/20148.9.80.1 to 148.9.95.254148.9.95.2554,094
151148.9.96.0/20148.9.96.1 to 148.9.111.254148.9.111.2554,094
152148.9.112.0/20148.9.112.1 to 148.9.127.254148.9.127.2554,094
153148.9.128.0/20148.9.128.1 to 148.9.143.254148.9.143.2554,094
154148.9.144.0/20148.9.144.1 to 148.9.159.254148.9.159.2554,094
155148.9.160.0/20148.9.160.1 to 148.9.175.254148.9.175.2554,094
156148.9.176.0/20148.9.176.1 to 148.9.191.254148.9.191.2554,094
157148.9.192.0/20148.9.192.1 to 148.9.207.254148.9.207.2554,094
158148.9.208.0/20148.9.208.1 to 148.9.223.254148.9.223.2554,094
159148.9.224.0/20148.9.224.1 to 148.9.239.254148.9.239.2554,094
160148.9.240.0/20148.9.240.1 to 148.9.255.254148.9.255.2554,094
161148.10.0.0/20148.10.0.1 to 148.10.15.254148.10.15.2554,094
162148.10.16.0/20148.10.16.1 to 148.10.31.254148.10.31.2554,094
163148.10.32.0/20148.10.32.1 to 148.10.47.254148.10.47.2554,094
164148.10.48.0/20148.10.48.1 to 148.10.63.254148.10.63.2554,094
165148.10.64.0/20148.10.64.1 to 148.10.79.254148.10.79.2554,094
166148.10.80.0/20148.10.80.1 to 148.10.95.254148.10.95.2554,094
167148.10.96.0/20148.10.96.1 to 148.10.111.254148.10.111.2554,094
168148.10.112.0/20148.10.112.1 to 148.10.127.254148.10.127.2554,094
169148.10.128.0/20148.10.128.1 to 148.10.143.254148.10.143.2554,094
170148.10.144.0/20148.10.144.1 to 148.10.159.254148.10.159.2554,094
171148.10.160.0/20148.10.160.1 to 148.10.175.254148.10.175.2554,094
172148.10.176.0/20148.10.176.1 to 148.10.191.254148.10.191.2554,094
173148.10.192.0/20148.10.192.1 to 148.10.207.254148.10.207.2554,094
174148.10.208.0/20148.10.208.1 to 148.10.223.254148.10.223.2554,094
175148.10.224.0/20148.10.224.1 to 148.10.239.254148.10.239.2554,094
176148.10.240.0/20148.10.240.1 to 148.10.255.254148.10.255.2554,094
177148.11.0.0/20148.11.0.1 to 148.11.15.254148.11.15.2554,094
178148.11.16.0/20148.11.16.1 to 148.11.31.254148.11.31.2554,094
179148.11.32.0/20148.11.32.1 to 148.11.47.254148.11.47.2554,094
180148.11.48.0/20148.11.48.1 to 148.11.63.254148.11.63.2554,094
181148.11.64.0/20148.11.64.1 to 148.11.79.254148.11.79.2554,094
182148.11.80.0/20148.11.80.1 to 148.11.95.254148.11.95.2554,094
183148.11.96.0/20148.11.96.1 to 148.11.111.254148.11.111.2554,094
184148.11.112.0/20148.11.112.1 to 148.11.127.254148.11.127.2554,094
185148.11.128.0/20148.11.128.1 to 148.11.143.254148.11.143.2554,094
186148.11.144.0/20148.11.144.1 to 148.11.159.254148.11.159.2554,094
187148.11.160.0/20148.11.160.1 to 148.11.175.254148.11.175.2554,094
188148.11.176.0/20148.11.176.1 to 148.11.191.254148.11.191.2554,094
189148.11.192.0/20148.11.192.1 to 148.11.207.254148.11.207.2554,094
190148.11.208.0/20148.11.208.1 to 148.11.223.254148.11.223.2554,094
191148.11.224.0/20148.11.224.1 to 148.11.239.254148.11.239.2554,094
192148.11.240.0/20148.11.240.1 to 148.11.255.254148.11.255.2554,094
193148.12.0.0/20148.12.0.1 to 148.12.15.254148.12.15.2554,094
194148.12.16.0/20148.12.16.1 to 148.12.31.254148.12.31.2554,094
195148.12.32.0/20148.12.32.1 to 148.12.47.254148.12.47.2554,094
196148.12.48.0/20148.12.48.1 to 148.12.63.254148.12.63.2554,094
197148.12.64.0/20148.12.64.1 to 148.12.79.254148.12.79.2554,094
198148.12.80.0/20148.12.80.1 to 148.12.95.254148.12.95.2554,094
199148.12.96.0/20148.12.96.1 to 148.12.111.254148.12.111.2554,094
200148.12.112.0/20148.12.112.1 to 148.12.127.254148.12.127.2554,094
201148.12.128.0/20148.12.128.1 to 148.12.143.254148.12.143.2554,094
202148.12.144.0/20148.12.144.1 to 148.12.159.254148.12.159.2554,094
203148.12.160.0/20148.12.160.1 to 148.12.175.254148.12.175.2554,094
204148.12.176.0/20148.12.176.1 to 148.12.191.254148.12.191.2554,094
205148.12.192.0/20148.12.192.1 to 148.12.207.254148.12.207.2554,094
206148.12.208.0/20148.12.208.1 to 148.12.223.254148.12.223.2554,094
207148.12.224.0/20148.12.224.1 to 148.12.239.254148.12.239.2554,094
208148.12.240.0/20148.12.240.1 to 148.12.255.254148.12.255.2554,094
209148.13.0.0/20148.13.0.1 to 148.13.15.254148.13.15.2554,094
210148.13.16.0/20148.13.16.1 to 148.13.31.254148.13.31.2554,094
211148.13.32.0/20148.13.32.1 to 148.13.47.254148.13.47.2554,094
212148.13.48.0/20148.13.48.1 to 148.13.63.254148.13.63.2554,094
213148.13.64.0/20148.13.64.1 to 148.13.79.254148.13.79.2554,094
214148.13.80.0/20148.13.80.1 to 148.13.95.254148.13.95.2554,094
215148.13.96.0/20148.13.96.1 to 148.13.111.254148.13.111.2554,094
216148.13.112.0/20148.13.112.1 to 148.13.127.254148.13.127.2554,094
217148.13.128.0/20148.13.128.1 to 148.13.143.254148.13.143.2554,094
218148.13.144.0/20148.13.144.1 to 148.13.159.254148.13.159.2554,094
219148.13.160.0/20148.13.160.1 to 148.13.175.254148.13.175.2554,094
220148.13.176.0/20148.13.176.1 to 148.13.191.254148.13.191.2554,094
221148.13.192.0/20148.13.192.1 to 148.13.207.254148.13.207.2554,094
222148.13.208.0/20148.13.208.1 to 148.13.223.254148.13.223.2554,094
223148.13.224.0/20148.13.224.1 to 148.13.239.254148.13.239.2554,094
224148.13.240.0/20148.13.240.1 to 148.13.255.254148.13.255.2554,094
225148.14.0.0/20148.14.0.1 to 148.14.15.254148.14.15.2554,094
226148.14.16.0/20148.14.16.1 to 148.14.31.254148.14.31.2554,094
227148.14.32.0/20148.14.32.1 to 148.14.47.254148.14.47.2554,094
228148.14.48.0/20148.14.48.1 to 148.14.63.254148.14.63.2554,094
229148.14.64.0/20148.14.64.1 to 148.14.79.254148.14.79.2554,094
230148.14.80.0/20148.14.80.1 to 148.14.95.254148.14.95.2554,094
231148.14.96.0/20148.14.96.1 to 148.14.111.254148.14.111.2554,094
232148.14.112.0/20148.14.112.1 to 148.14.127.254148.14.127.2554,094
233148.14.128.0/20148.14.128.1 to 148.14.143.254148.14.143.2554,094
234148.14.144.0/20148.14.144.1 to 148.14.159.254148.14.159.2554,094
235148.14.160.0/20148.14.160.1 to 148.14.175.254148.14.175.2554,094
236148.14.176.0/20148.14.176.1 to 148.14.191.254148.14.191.2554,094
237148.14.192.0/20148.14.192.1 to 148.14.207.254148.14.207.2554,094
238148.14.208.0/20148.14.208.1 to 148.14.223.254148.14.223.2554,094
239148.14.224.0/20148.14.224.1 to 148.14.239.254148.14.239.2554,094
240148.14.240.0/20148.14.240.1 to 148.14.255.254148.14.255.2554,094
241148.15.0.0/20148.15.0.1 to 148.15.15.254148.15.15.2554,094
242148.15.16.0/20148.15.16.1 to 148.15.31.254148.15.31.2554,094
243148.15.32.0/20148.15.32.1 to 148.15.47.254148.15.47.2554,094
244148.15.48.0/20148.15.48.1 to 148.15.63.254148.15.63.2554,094
245148.15.64.0/20148.15.64.1 to 148.15.79.254148.15.79.2554,094
246148.15.80.0/20148.15.80.1 to 148.15.95.254148.15.95.2554,094
247148.15.96.0/20148.15.96.1 to 148.15.111.254148.15.111.2554,094
248148.15.112.0/20148.15.112.1 to 148.15.127.254148.15.127.2554,094
249148.15.128.0/20148.15.128.1 to 148.15.143.254148.15.143.2554,094
250148.15.144.0/20148.15.144.1 to 148.15.159.254148.15.159.2554,094
251148.15.160.0/20148.15.160.1 to 148.15.175.254148.15.175.2554,094
252148.15.176.0/20148.15.176.1 to 148.15.191.254148.15.191.2554,094
253148.15.192.0/20148.15.192.1 to 148.15.207.254148.15.207.2554,094
254148.15.208.0/20148.15.208.1 to 148.15.223.254148.15.223.2554,094
255148.15.224.0/20148.15.224.1 to 148.15.239.254148.15.239.2554,094
256148.15.240.0/20148.15.240.1 to 148.15.255.254148.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses